Getting started with Bonobo

Requirements

You must have a working python3.5+ environment. Linux and OSX have premium support, while Windows environments are supported on a best effort basis.

Install

The best option to install bonobo is usually to use pip.

pip install bonobo


To check whether it worked correctly, you can try to run the CLI.

bonobo version
READ MORE...

First project

To create an ETL job, you can simply use the bonobo init command.

bonobo init my-etl-job
READ MORE...

Get support

We're always happy to help, and there is no dumb question (in fact, the only dumb question is the one not asked).

See you there!

Contribute

Contributions are more than welcome and there is a lot of things you can do to help, even if you don't feel like adding code.

Read the contribution guide...

Happy data processing!

Did I say we need feedback? Slack discussions and issues are more than welcome!

Announcements

Low volume, get a change list summary of major releases, along with important announcements.

We'll get in touch soon!

Now open your inbox and click the subscription link, so we know you're the real owner of this address.

Oops! Something went wrong while submitting the form. And we're not even able to tell you what... Maybe your e-mail was invalid?